/* 
 * File:   main.c
 * Author: User
 *
 * Created on 15 March 2023, 8:24 AM
 */

#define _XTAL_FREQ  8000000
#include <stdio.h>
#include <stdlib.h>
#include <xc.h>
#include "assets/config/config_words.h"
#include "assets/TM1637/TM1637.h"
#include "assets/LM75/LM75.h"
//------------------------------------------------------------------------------
int main(int argc, char** argv) 
{
    LM75_init();
    TM1637_init();
    TM1637_setBrightness(7); //Valid brightness values: 0 - 8. 0 = display off.
    
    while(1) 
    {
        signed int tempr = (signed int) (LM75_read(TEMPERATURE_ADDRESS) * 10);
        TM1637_display(tempr);
    }
    
    return (EXIT_SUCCESS);
}
//------------------------------------------------------------------------------